/* Cores */
.w3-primary {
    background-color: #28282B;
    color: white;
}

/* Pagina */
header {
    box-shadow: 0px 0px 6px black;
}

.header-content,
.address-title,
.footer-title {
    gap: 8px;
    align-items: center;
}

.gavel-logo,
.balance-logo {
    width: 36px;
}

main {
    margin: auto;
    max-width: 1440px;
    width: 100%;
    padding: 16px;
}

.hero-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.intro-content-container {
    margin-top: 16px;
    padding: 16px;
}

/* Cards section */
.cards-section {
    margin-top: 32px;
}

.cards-container {
    margin: 32px 0px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 16px;
}

.card {
    position: relative;
    max-width: 300px;
    width: 100%;
    min-height: 280px;
    height: 100%;
    padding: 16px;
}

.card-logo {
    padding: 10px;
}

/* About */
.about-section {
    margin: 64px 0px 32px;
}

.about-img-container {
    display: flex;
    justify-content: center;
    align-items: center;
}

.about-img {
    width: 100%;
    object-fit: cover;
}

.about-content-container {
    display: flex;
    align-items: center;
    margin: 16px 0;
    padding: 16px;
}

/* Reviews */
.reviews-section {
    margin: 32px 0px;
}

.reviews-container {
    margin: 32px 0px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 16px;
}

.review {
    padding: 16px;
}

/* contact section */
.contact-section {
    /* margin: 64px 0 32px; */
    margin: 64px 0px;
}

.form-container {
    margin: 32px auto;
    max-width: 600px;
    width: 100%;
}

.textarea {
    resize: vertical;
    padding: 10px;
    margin-top: 16px;
    width: 100%;
    height: 150px;
}

/* Footer */
footer {
    padding: 16px;
    gap: 8px;
    flex-wrap: wrap;
    justify-content: space-between;
}

.address-container {
    width: 100%;
    flex-wrap: wrap;
    gap: 16px;
}

.address-content,
.map {
    width: 100%;
}

.links-list {
    list-style-type: none;
    padding-left: 16px;
    margin: 4px 0;
}

.link {
    width: 100%;
    margin: 4px 0px;
    text-align: left;
    text-decoration: none;
}

.whatsapp-btn {
    position: fixed;
    bottom: 24px;
    right: 24px;
}

.whatsapp-btn:hover {
    bottom: 28px;
    box-shadow: 0px 0px 20px black;
    border-radius: 50%;
}

@media screen and (min-width: 680px) {
    .intro-section {
        height: 450px;
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 16px;
    }

    .balance-logo {
        width: 48px;
    }

    .intro-img {
        width: 50%;
        height: 100%;
    }

    .intro-content-container {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 50%;
        height: 100%;
        margin-top: 0;
    }

    .intro-content {
        max-width: 400px;
    }

    .about-section {
        /* margin: 64px auto 32px; */
        margin: 32px 0px;
        display: flex;
        justify-content: center;
        gap: 16px;
    }

    .about-section>div {
        width: 50%;
    }

    .about-img {
        height: 100%;
        /* width: 100%; */
        object-fit: cover;
    }

    .about-content-container {
        margin: 0;
    }

    .review {
        width: 30%;
    }

    footer {
        flex-wrap: nowrap;
    }

    .address-container {
        width: auto;
        flex-wrap: nowrap;
        justify-content: space-between;
    }

    .address-content,
    .map {
        max-width: 300px;
        width: 100%;
    }
}